Bug 217994 - blkback: Copy shared data before verification
blkback: Copy shared data before verification
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 00:24 EST by Herbert Xu
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 15:55:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herbert Xu 2006-12-01 00:24:13 EST
We want changeset 11859 from xen-unstable.

[BLOCK] blkback: Copy shared data before verification

As it is blkback verifies the metadata from the frontend in place.
This means we run the risk of the frontend changing the data after
we've verified it.  This patch copies the data onto the stack before
verifying and using it to ensure we see a consistent snapshot.

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
Comment 2 Jay Turner 2006-12-06 17:49:26 EST
QE ack for RHEL5.  Bugs in new features/functionality.
Comment 3 Don Zickus 2006-12-06 18:02:43 EST
in 2.6.18-1.2839.el5
Comment 4 Jay Turner 2007-01-26 15:55:52 EST
2.6.18-7.el5 included in 20070125.0.

Note You need to log in before you can comment on or make changes to this bug.